<?php

if ($user_id != $arr_group['user_id'] && $_GET['group'] == 'in')
{
	if ($arr_group['access_new_users'] == 1)
	{
		$err = true;
		if (!in_array($user_id, explode("||", substr($arr_group['users'], 1, -1))) && !in_array($user_id, explode("||", substr($arr_group['new_users'], 1, -1)))) if (mysql_query("UPDATE `groups` SET `new_users` = '|".$user_id."|".$arr_group['new_users']."', `count_new_users` = '".($arr_group['count_new_users']+1)."' WHERE `id` = '".$id."' LIMIT 1") == true) echo ok(Lang('Вы отправили заявку на вступление в сообщество '.$arr_group['name'].'<br/>Ожидайте решения администрации','Ви надіслали заявку на вступ до спільноти '.$arr_group['name']).'<br/>Очікуйте рішення адміністрації');
	}

	if ($err == false && !in_array($user_id, explode("||", substr($arr_group['users'], 1, -1))))
	{
		if (mysql_query("UPDATE `groups` SET `users` = '|".$user_id."|".$arr_group['users']."', `count_users` = '".($arr_group['count_users']+1)."' WHERE `id` = '".$id."'") == true)
		{
			if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `my_groups` WHERE `user_id` = '".$user_id."' LIMIT 1"),0) == false) mysql_query("INSERT INTO `my_groups` SET `user_id` = '".$user_id."', `groups` = '|".$id."|', `time` = '".time()."'");
			else
			{
				$arr_my_groups = mysql_fetch_array(mysql_query("SELECT * FROM `my_groups` WHERE `user_id` = '".$user_id."' LIMIT 1"));
				mysql_query("UPDATE `my_groups` SET `groups` = '|".$id."|".$arr_my_groups['groups']."' WHERE `user_id` = '".$user_id."' LIMIT 1");
			}
			mysql_query("UPDATE `users` SET `count_groups` = '".($user['count_groups']+1)."' WHERE `id` = '".$user_id."' LIMIT 1");
			$arr_group = mysql_fetch_array(mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1"));
			echo ok(Lang('Вы вступили в сообщество '.$arr_group['name'],'Ви вступили в спільноту '.$arr_group['name']));
		}
	}
}
else if ($user_id != $arr_group['user_id'] && $_GET['group'] == 'out')
{
	if (in_array($user_id, explode("||", substr($arr_group['users'], 1, -1))))
	{
		$del_user = str_replace("|".$user_id."|", "", $arr_group['users']);
		if (mysql_query("UPDATE `groups` SET `users` = '".$del_user."', `count_users` = '".($arr_group['count_users']-1)."' WHERE `id` = '".$id."'") == true)
		{
			$arr_my_groups = mysql_fetch_array(mysql_query("SELECT * FROM `my_groups` WHERE `user_id` = '".$user_id."' LIMIT 1"));
			$del_group = str_replace("|".$id."|", "", $arr_my_groups['groups']);
			mysql_query("UPDATE `my_groups` SET `groups` = '".$del_group."' WHERE `user_id` = '".$user_id."' LIMIT 1");
			mysql_query("UPDATE `users` SET `count_groups` = '".($user['count_groups']-1)."' WHERE `id` = '".$user_id."' LIMIT 1");
			$arr_group = mysql_fetch_array(mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1"));
			
			echo ok(Lang('Вы покинули сообщество '.$arr_group['name'],'Ви покинули спільноту '.$arr_group['name']));
		}
	}
}

?>